## Package Win32::GUI::RadioButton

Back to the Packages

- Constructor

  - new Win32::GUI::RadioButton(PARENT, %OPTIONS)

- Methods

  - Checked([VALUE])

- Events

  - Click()

  - DblClick()

  - GotFocus()

  - LostFocus()

  - MouseDown()

  - MouseUp()

### Constructor

new Win32::GUI::RadioButton(PARENT, %OPTIONS)

  Creates a new RadioButton object; can also be called as PARENT->AddRadioButton(%OPTIONS). `%OPTIONS` are the same of Button (see new Win32::GUI::Button() ).

### Methods

Checked([VALUE])

  Gets or sets the checked state of the RadioButton; if called without arguments, returns the current state:

        0 not checked
        1 checked

  If a VALUE is specified, it can be one of these (eg. 0 to uncheck the RadioButton, 1 to check it).

### Events

Click()

  Sent when the control is selected (eg. the button pushed, the checkbox checked, etc.).

DblClick()

  Sent when the user double clicks on the control.

GotFocus()

  Sent when the control is activated.

LostFocus()

  Sent when the control is deactivated.

MouseDown()

  Sent when the user down clicks on the control.

MouseUp()

  Sent when the user releases a down click on the control.